summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Heinz Wiesinger <HMWiesinger@gmx.at>2010-05-11 20:00:32 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 20:00:32 +0200
commitd40dbf5b164ba0bf10d4df2a4819cdd1feecea57 (patch)
tree4f13070d226594e69b784ccae7cb35cf7103f5a9 /games
parent766d71a4ff1163db002f2c5647398e404ea5ee7f (diff)
downloadslackbuilds-d40dbf5b164ba0bf10d4df2a4819cdd1feecea57.tar.gz
slackbuilds-d40dbf5b164ba0bf10d4df2a4819cdd1feecea57.tar.xz
games/Scorched3D: Added to 12.0 repository
Diffstat (limited to 'games')
-rw-r--r--games/Scorched3D/README6
-rw-r--r--games/Scorched3D/Scorched3D.SlackBuild81
-rw-r--r--games/Scorched3D/Scorched3D.info8
-rw-r--r--games/Scorched3D/doinst.sh3
-rw-r--r--games/Scorched3D/scorched3d.desktop12
-rw-r--r--games/Scorched3D/scorched3d.pngbin0 -> 2410 bytes
-rw-r--r--games/Scorched3D/slack-desc19
7 files changed, 129 insertions, 0 deletions
diff --git a/games/Scorched3D/README b/games/Scorched3D/README
new file mode 100644
index 0000000000..8c1104b7ba
--- /dev/null
+++ b/games/Scorched3D/README
@@ -0,0 +1,6 @@
+Scorched3D is a cross-platform 3D remake of the popular 2D artillery game
+Scorched Earth. Scorched3D can be played against the computer, other players,
+and remotely across the Internet or LAN.
+
+This requires either wxGTK or wxPython, plus OpenAL, ffwt, and freealut.
+All of these are available at SlackBuilds.org.
diff --git a/games/Scorched3D/Scorched3D.SlackBuild b/games/Scorched3D/Scorched3D.SlackBuild
new file mode 100644
index 0000000000..19d87f569d
--- /dev/null
+++ b/games/Scorched3D/Scorched3D.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for Scorched3D
+
+# Copyright 2008 Heinz Wiesinger <hmwiesinger@gmx.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=Scorched3D
+VERSION=41.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf scorched
+tar xvf $CWD/$PRGNAM-$VERSION-src.tar.gz
+cd scorched
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --datadir=/usr/share/scorched3d
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cp -f $CWD/scorched3d.desktop $PKG/usr/share/applications
+cp -f $CWD/scorched3d.png $PKG/usr/share/pixmaps
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COMPILING COPYING README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share/scorched3d/documentation/html
+mv $PKG/usr/share/scorched3d/documentation/* $PKG/usr/doc/$PRGNAM-$VERSION/
+rm -rf $PKG/usr/share/scorched3d/documentation
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/Scorched3D/Scorched3D.info b/games/Scorched3D/Scorched3D.info
new file mode 100644
index 0000000000..03cf93f781
--- /dev/null
+++ b/games/Scorched3D/Scorched3D.info
@@ -0,0 +1,8 @@
+PRGNAM="Scorched3D"
+VERSION="41.3"
+HOMEPAGE="http://www.scorched3d.co.uk"
+DOWNLOAD="http://downloads.sourceforge.net/scorched3d/Scorched3D-41.3-src.tar.gz"
+MD5SUM="6bb47045abccaca1f775ff4cde8b3b5d"
+MAINTAINER="ppr:kut"
+EMAIL="HMWiesinger@gmx.at"
+APPROVED="David Somero"
diff --git a/games/Scorched3D/doinst.sh b/games/Scorched3D/doinst.sh
new file mode 100644
index 0000000000..033f010d40
--- /dev/null
+++ b/games/Scorched3D/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database ./usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/Scorched3D/scorched3d.desktop b/games/Scorched3D/scorched3d.desktop
new file mode 100644
index 0000000000..f309f2c1c2
--- /dev/null
+++ b/games/Scorched3D/scorched3d.desktop
@@ -0,0 +1,12 @@
+[Desktop Entry]
+Encoding=UTF-8
+MultipleArgs=false
+Terminal=false
+Exec=scorched3d
+Icon=scorched3d
+Type=Application
+Categories=Game;Strategy
+StartupNotify=false
+Name=Scorched 3D
+GenericName=Artillery Game
+
diff --git a/games/Scorched3D/scorched3d.png b/games/Scorched3D/scorched3d.png
new file mode 100644
index 0000000000..485685b70e
--- /dev/null
+++ b/games/Scorched3D/scorched3d.png
Binary files differ
diff --git a/games/Scorched3D/slack-desc b/games/Scorched3D/slack-desc
new file mode 100644
index 0000000000..fa38383569
--- /dev/null
+++ b/games/Scorched3D/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------------|
+Scorched3D: Scorched3D (3D artillery game)
+Scorched3D:
+Scorched3D: Scorched3D is a cross-platform 3D remake of the popular 2D
+Scorched3D: artillery game Scorched Earth. Scorched3D can be played
+Scorched3D: against the computer, other players, and remotely across the
+Scorched3D: Internet or LAN.
+Scorched3D:
+Scorched3D: Homepage: http://www.scorched3d.co.uk
+Scorched3D:
+Scorched3D:
+Scorched3D: